
/*********** menu style is in internal style sheet **************/

main
{
  width: 100%;
}
a
{
  color: #00a;
}

article
{
	margin: 2.81em 5% 0;
	box-shadow: 0 0 6px -1px #e8e8e8;
} 

/*** landing screen style in internal style sheet ***/

#divTheName, .divHeader
{
  padding: 42px 0 50px;
}
h2
{
  font-size: 1.2em;
  font-weight: 300;
  letter-spacing: 0.1em;
  word-spacing: 0.2em;
  line-height: 1.5em;
}
#apartment-45 h2, #apartment-40 h2
{
  background: #e95;
  box-shadow: 0 0 2px 0.3px #777 inset;
}
section>.divHeader
{
  padding-top: 80px;
}
sup
{
  font-size: 0.6em;
}
section:not(#sectionHome)
{
  padding-bottom: 75px;
  border-bottom: 1px solid #dcdcdc;
}
section p
{
  padding: 10px 6%;
  text-align: justify;
}
section img
{
  border-style: solid;
  border-color: rgba(153, 119, 102, 0.7);
  border-width: 1px;
  box-shadow: 2px 2px 4px #555;
}

#apartments-About
{
  background-color: #eee;
  z-index: 5;
}
#apartments-About>p
{
  padding-top: 50px;
}
#apartments-About picture img, [scrset="imgs/apartments-exterior.jpg"]
{
  width: 88%;
  max-width: 1350px;
  height: 100%;
}

article[id^="apartment"]
{
  background-color: #f9f9f9;
  border-radius: 5px;
  box-shadow: 11px 0 10px -10px #aaa, -11px 0 10px -10px #aaa, 0 0 6px -2px #aaa;
  z-index: 4;
}
article[id^="apartment"] ul
{
  list-style: none;
  margin: 30px 4% 0;
  padding-bottom: 30px;
  display: flex;
  flex-wrap: wrap;
}
.liGalery
{
  display: inline-block;
  width: 100%;
  padding-bottom: 0.65em;
}
article[id^="apartment"] img
{
  width: 95%;
  height: 95%;
  transition: transform 1s ease-out;
}
article[id^="apartment"] img:hover
{
  transform: scale(1.1);
}

#opatija
{
  background-color: #eee;
  z-index: 3;
}
div.embed
{
  position: relative;
  padding-bottom: 56.25%; /* 16:9 */
  padding-top: 25px;
  height: 0;
}
div.embed iframe, div.embed a {
  position: absolute;
  top: 0;
  left: 6%;
  width: 88%;
  height: 100%;
}
#opatija p:last-of-type
{
  padding-bottom: 10px;
}
.resourceLinks
{
  font-size: 0.7em;
  line-height: 1em;
  vertical-align: top;
  padding: 0 6% 30px;
  text-align: left;
  font-style: italic;
  color: #666;
}
.resourceLinks a
{
  color: #666;
}
.resourceLinks a:visited
{
  color: #aaa;
}
#arrowUp {
  position: fixed;
  right: 0.6%;
  bottom: 0.7%;
  width: 50px;
  height: 0;
  visibility: hidden;
  transition: height 1s, visibility 1s;
}
svg
{
  width: 50px; /* to work well on iOS (ie Safari) svg need to be in px not in %, at least when it comes with css animations */
  height: 50px;
}

footer
{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  position: relative;
  background: #a09287;
  padding: 47px 0 25px;;
  width: 100%;
  box-shadow: 0 0 20px 1px #757575 inset;
}
#contacts p, form, .map
{
  padding: 5% 2%;
  margin: 0 auto;
}
.map
{
  padding: 2%;
  width: 100%;
}
.map iframe
{
  width: 100%;
  height: 350px;
}
#contacts p
{
  line-height: 1.55em;
}
.footerBottomLine
{
  display: inline-block;
  width: 100%;
  padding-bottom: 5px;
  border-bottom: 1px solid #b3b3b3;
  margin-bottom: 8px;
}
form table
{
  width: 100%;
}
form th, form td, caption
{
  height: 2em;
  font-weight: normal;
  text-align: left;
  vertical-align: middle;
  padding: 4px;
}
th
{
  width: 15%;
}
input[type=text], input[type=email]
{
  height: 25px;
}
input[type=text], input[type=email], form textarea
{
  border: none;
  border-bottom: 1px solid #cacaca;
  background: rgba(185, 185, 185, 0.28);
  width: 95%;
}
[colspan="2"]
{
  text-align: right;
}
input.submitBtn
{
  font-size: 0.9em;
  font-family: 'Josefin Sans', Verdana, Arial, sans-serif;
  color: #333;
  letter-spacing: 1.2px;
  padding: 2% 9%;
  border-radius: 3px;
  background: #ec9357;
  border: none;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2), 0 6px 20px 0 rgba(0,0,0,0.19);
  transition: all 0.3s ease;
}
input.submitBtn:hover
{
  background: #e8803d;
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
}
footer textarea
{
  margin-top: 7px;
}
[src="imgs/map2.jpg"]
{
  width: 100%;
  max-width: 423px;
  border: 2px groove #B9B4B0;
}

.webStandards
{
  font-size: 0.75em;
  margin-left: -8%;
  line-height: 1.1;
  width: 86%;
  text-align: left;
}
.webStandards a
{
  color: #333;
}
.webStandards a:visited
{
  color: #666;
}


@media only screen and (orientation: landscape) and (max-height: 450px) and (max-width: 780px)
{
  #divTheName
  {
    padding-top: 5%;
  }
  img[title="Apartmani u centru Opatije"]
  {
    width: 60%;
  }
  .landingIntro
  {
    bottom: 0;
    left: 0;
    line-height: 120%;
    padding: 2%;
  }
}

@media screen and (min-height: 880px)
{
  #sectionHome p
  {
    bottom: 12%;
  }
}
@media screen and (min-width: 610px)
{
  #sectionHome p
  {
    padding-left: 3%;
    width: 85%;
    max-width: 1100px;
  }
  .map
  {
    width: auto;
  }
  .map iframe
  {
    width: 550px;
  }
}
@media screen and (min-width: 720px)
{
  #sectionHome p
  {
    padding-left: 5%;
  }
}
@media screen and (min-width: 960px) /*and (max-width: 830px)*/
{
  nav
  {
    display: block;
  }
  #ulMenu
  {
    background-color: rgba(0, 0, 0, 0.6);
    height: 42px;
    padding-top: 7px;
  }
  #ulMenu li:first-child
  {
    display: none;
  }
  #ulMenu li
  {
    display: inline-block;
    padding: 0 2.2%;
    border-left: 1px solid #666;
  }
  #ulMenu li:nth-of-type(2)
  {
    border-left: 0;
  }
  .aMenu
  {
    display: inline-block; 
    padding: 0;
    background-color: transparent;
  }
  .aMenu:hover
  {
    font-weight: 400;
    color: #e86e1b;
  }  
  
  .liGalery
  {
    width: 50%;
    padding-bottom: 0.75em;
  }
  #sectionHome p
  {
    left: 4%;
  }
  
  form
  {
    width: 55%;
  }
}

@media screen and (min-width: 1360px)
{
  form
  {
    width: 35%;
  }
}
@media screen and (min-width: 820px) and (max-width: 1359px)
{
  .map iframe
  {
    width: 800px;
    height: 450px;
  }
}
